//
//  SCIRandomGenerator.h
//  ComNetKit
//
//  Created by Filipi Nascimento Silva on 06/18/2008.
//  Copyright 2008 Mega X Software. All rights reserved.
//

#import <SciObjects/SciObjects.h>
#import <ComNetKit/ComNetKit.h>

@interface SCIRandomGenerator : NSObject {

}

+(SCIRandomGenerator*) sharedRandomGenerator;
-(double)randomDouble;
-(float)randomFloat;
-(void) setRandomSeed:(unsigned) seed;
-(NSInteger)randomInteger;
-(NSInteger)randomIntegerFrom:(NSInteger)startInteger to:(NSInteger)endInteger;

-(SCINumberArray*)newRandomDoubleArrayWithCount:(NSUInteger)count;
-(SCINumberArray*)newRandomFloatArrayWithCount:(NSUInteger)count;
-(SCINumberArray*)newRandomIntegerArrayWithCount:(NSUInteger)count;
-(SCINumberArray*)newRandomIntegerArrayFrom:(NSInteger)startInteger to:(NSInteger)endInteger withCount:(NSUInteger)count;

-(SCINumberArray*)randomDoubleArrayWithCount:(NSUInteger)count;
-(SCINumberArray*)randomFloatArrayWithCount:(NSUInteger)count;
-(SCINumberArray*)randomIntegerArrayWithCount:(NSUInteger)count;
-(SCINumberArray*)randomIntegerArrayFrom:(NSInteger)startInteger to:(NSInteger)endInteger withCount:(NSUInteger)count;
@end
