//
//  SCIVector.h
//  SciObjects
//
//  Created by Filipi Nascimento Silva on 03/19/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SCINumberArray.h"

@class SCINumberArray;

typedef enum {
	SCIUndefinedVectorPrecision				=	0,
	SCIFloatVectorPrecision					=	1,
	SCIDoubleVectorPrecision				=	2
} SCIVectorPrecision;


@protocol SCIVector
-(NSNumber *) numberAtDimension:(NSUInteger) dimension;
-(double) doubleAtDimension:(NSUInteger) dimension;
-(float) floatAtDimension:(NSUInteger) dimension;

-(NSUInteger) dimensionality;
-(SCIVectorPrecision) precision;
@end

#import "NSNumber_SCIVector_Additions.h"
#import "SCIVector2d.h"
#import "SCIVector3d.h"