//
//  SCIVector.h
//  SciObjects
//
//  Created by Filipi Nascimento Silva on 03/19/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SCINumberArray.h"
#import "SCIVector.h"

@class SCINumberArray;

@protocol SCIVectorArray
-(SCINumberArray*) numbersAtDimension:(NSUInteger) dimension;
-(double *) doublesAtDimension:(NSUInteger) dimension;
-(float *) floatsAtDimension:(NSUInteger) dimension;

-(NSUInteger) dimensionality;
-(SCIVectorPrecision) precision;
@end

#import "SCINumberArray_SCIVectorAdditions.h"
#import "SCIVector2dArray.h"
#import "SCIVector3dArray.h"